class_name QuestLog extends Control

const entry_template = preload("res://templates/quest_log_entry.tscn")

@onready var entry_list : VBoxContainer = %Entries
var entries : Array[QuestLogEntry] = []

func _ready() -> void:
	Game.quest_log = self

func add_entry(quest : Quest) -> void:
	var qle : QuestLogEntry = entry_template.instantiate()
	entries.append(qle)
	entry_list.add_child(qle)
	qle.setup(quest)
